/* Header file for map files */

/*
 * A map file begins with a short word that is equal to MAPMAGIC.
 * The rest is map file entries.
 */
#define	MAPMAGIC	0xc615

/*
 * A map file entry contains a UID and a GID, in network-long byte
 * order.  Given a source ID, find the source'th mapfent and read
 * its UID or GID to find the destination ID.
 */
struct mapfent {
	long	mf_uid;
	long	mf_gid;
};
