#ifndef lint
static char rcsid[] = "$Header: splice.c,v 1.1 86/10/04 03:34:26 chris Exp $";
#endif

/*
 * strsplice(a, b) returns the concatenation of `a' and `b' in a
 * private buffer.  The buffer should be considered static storage.
 */
char *
strsplice(a, b)
	char *a, *b;
{
	int l1, l2;
	static char *sstr;
	static int slen;
	char *malloc(), *strcpy();

	l1 = strlen(a);
	l2 = strlen(b);
	if ((l2 += l1) >= slen) {
		if (sstr)
			free(sstr);
		sstr = malloc((unsigned) (l2 + 1));
		if (sstr == 0)
			err(1, "strsplice: out of memory: %m");
	}
	(void) strcpy(sstr, a);
	(void) strcpy(sstr + l1, b);
	return (sstr);
}
