#ifndef lint
static char rcsid[] = "$Header: subr.c,v 1.2 86/10/05 02:35:16 chris Exp $";
#endif

#include <stdio.h>

/*
 * `Reliable' fopen-for-reading.
 */
FILE *
rfopen(file)
	char *file;
{
	FILE *f;

	if ((f = fopen(file, "r")) == NULL) {
		err(1, "cannot open %s for reading: %m", file);
		/* NOTREACHED */
	}
	return (f);
}

/*
 * `Reliable' fopen-for-writing.
 */
FILE *
wfopen(file)
	char *file;
{
	FILE *f;

	if ((f = fopen(file, "w")) == NULL) {
		err(1, "cannot open %s for writing: %m", file);
		/* NOTREACHED */
	}
	return (f);
}

/*
 * Close a `reliable' writing file.
 */
void
wfclose(f, fn)
	FILE *f;
	char *fn;
{

	if (ferror(f) || fclose(f)) {
		err(1, "write(%s): %m", fn);
		/* NOTREACHED */
	}
}
